function FG_Initialize_Data

% Initialize a specified scenario for the fuel gas blending simulation
Sys = gcs;
ix = find(Sys == '/');
if ~isempty(ix)
    Sys = Sys(1:ix(1)-1);
end
FG_Scenario = str2double(get_param([Sys, '/Scenario'], 'FG_Scenario'));
FG_Scenario = min(max(round(FG_Scenario), 1), 3);
assignin('base', 'FG_Scenario', FG_Scenario)
H = msgbox(sprintf('Running fuel gas blending scenario #%1i', FG_Scenario));
pause(1.5)
if ishandle(H)
    delete(H)
end
% Initial gas compositions

 yNG = [ 0.911, 0.068, 0.000, 0.015, 0.000, 0.006]';
 yRG = [ 0.015, 0.000, 0.620, 0.005, 0.310, 0.050]';
 yH2 = [     0,     0,     1,     0,     0,     0]';
 yN2 = [     0,     0,     0,     1,     0,     0]';
yTG1 = [ 0.055, 0.010, 0.620, 0.025, 0.260, 0.030]';
yTG2 = [ 0.150, 0.010, 0.570, 0.060, 0.130, 0.080]';
FG_InitCond = [yNG, yRG, yH2, yN2, yTG1, yTG2];
assignin('base', 'FG_InitCond', FG_InitCond);

load 'Fuel_Gas_Blending_Data'

ix = FG_Scenario;
TimeSeries = Availability(:, :, ix);
save('ScenarioAvail', 'TimeSeries');
TimeSeries = SensorBias(:, :, ix);
save('ScenarioBias', 'TimeSeries');
TimeSeries = NGcomp(ix).Data;
save('ScenarioNG', 'TimeSeries');
TimeSeries = RGcomp(ix).Data;
save('ScenarioRG', 'TimeSeries');
TimeSeries = TG1comp(ix).Data;
save('ScenarioTG1', 'TimeSeries');
TimeSeries = TG2comp(ix).Data;
save('ScenarioTG2', 'TimeSeries');

assignin('base', 'Feed_Gas_Metering_Bias', Feed_Gas_Metering_Bias);
assignin('base', 'Fuel_Gas_Demand_Seed', Fuel_Gas_Demand_Seed);
assignin('base', 'Fuel_Gas_HHV_Seed', Fuel_Gas_Demand_Seed);
assignin('base', 'Fuel_Gas_WI_Seed', Fuel_Gas_Demand_Seed);

